Subject: Re: What am I doing wrong?

From: Paul Gardiner <[email-masked]>
Date: Fri, 16 May 2008 22:16:42 +0100

Michael J Gruber wrote:
> Johannes Schindelin venit, vidit, dixit 16.05.2008 15:40:
>> Hi,
>>
>> On Fri, 16 May 2008, Paul Gardiner wrote:
>>
>>> Michael J Gruber wrote:
>>>> Paul Gardiner venit, vidit, dixit 16.05.2008 14:32:
>>>>> Michael J Gruber wrote:
>>>>>> Paul Gardiner venit, vidit, dixit 16.05.2008 13:25:
>>>>>>> I create the initial repository with
>>>>>>>
>>>>>>>      git-clone /<full-path>/<name>.git/ <folder>
>>>>>>>
>>>>>>> That works fine, but then I can't fetch. git-fetch gives the error
>>>>>>> "fatal: 'origin': unable to chdir or not a git archive"
>>>>>>> "fatal: The remote end hung up unexpectedly"
>>>>>>>
>>>>>>> P.
>>>>>> Are you trying to clone a bare repository?
>>>>>> Or is your repo maybe at /<full-path>/<name> with a .git subdir?
>>>>> Yes, a bare repository.
>>>> Then, maybe the full list of command lines (including cd and git-fetch)
>>>> would be helpful in order to track this down.
>>> Ok, sorry, thought it was probable something really obvious. Here's the
>>> sequence (using git version 1.5.4).
>>>
>>> $ git-clone /big/git/paul.git/ epage
>>> Initialized empty Git repository in /home/paul/epage/.git/
>>> 719749 bolcks
>>
>> Something tells me that this is not a copy/paste ;-)
> 
> Let's just hope that's not units of boelkstoff ;)
> 
>>> $ cd epage
>>> $ git-fetch
>>> fatal: 'origin': unable to chdir or not a git archive
>>> fatal: The remote end hung up unexpectedly
>>
>> Is there a "[remote "origin"]" section in .git/config?  What Git 
>> version is this, anyway?
> 
> 1.5.4
> 
> Could git trip over that trailing slash? git 1.5.5.1 certainly doesn't.

The documentation suggests having the trailing slash, and I think I
tried without, but I'll try again just in case.

> BTW: The above shows something that confused me initially about cloning: 
> git reports the creation of an empty repo, nothing else. But it does 
> much more, of course, just without reporting.

Oh yeah, I realise the fetch is already done by the clone, and that
git-fetch wouldn't bring anything new in right after the clone, but
there are other pushers for that repo.

P.